Bug 942136 - YaST2 in KDE has ugly GNOME-like icons
YaST2 in KDE has ugly GNOME-like icons
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
All openSUSE 42.1
: P5 - None : Normal with 1 vote (vote)
: ---
Assigned To: Kenneth Wimer
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 13:17 UTC by Mindaugas Baranauskas
Modified: 2021-02-19 14:11 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Current hicolor theme (82.53 KB, image/png)
2015-08-21 13:13 UTC, Mindaugas Baranauskas
Details
Oxygen theme (80.12 KB, image/png)
2015-08-21 13:22 UTC, Mindaugas Baranauskas
Details
Crystal icon theme is only out-dated icon set, has missing icons, suggest to be removed (70.65 KB, image/png)
2015-08-21 13:24 UTC, Mindaugas Baranauskas
Details
patterns-openSUSE-sw_management_kde-20150821-512.1.i586.rpm (53.20 KB, application/x-rpm)
2015-08-21 14:50 UTC, Mindaugas Baranauskas
Details
patterns-openSUSE-sw_management_kde-20150821-512.1.x86_64.rpm (53.18 KB, application/x-rpm)
2015-08-21 14:51 UTC, Mindaugas Baranauskas
Details
patterns-openSUSE-kde_yast-20150821-513.1.x86_64.rpm (53.04 KB, application/x-rpm)
2015-08-21 18:21 UTC, Mindaugas Baranauskas
Details
patterns-openSUSE-kde_yast-20150821-513.1.i586.rpm (53.05 KB, application/x-rpm)
2015-08-21 18:22 UTC, Mindaugas Baranauskas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mindaugas Baranauskas 2015-08-18 13:17:09 UTC
YaST2 in KDE should have native icons, like Oxygen theme.
To fix this, I do:

cd /usr/share/YaST2/theme/current/
su -c "rm icons; ln -s '../../../icons/oxygen' icons"
Comment 1 Josef Reidinger 2015-08-21 11:33:51 UTC
something for designers. I remember there was attempt for it, but then not used.
Comment 2 Kenneth Wimer 2015-08-21 12:05:01 UTC
I agree completely that this looks horrible and should be fixed. That being said, we do not have a mandate to work on this, and therefor no official time can be allocated. If we were to get official time to work on it we would either have to hire a designer or out-source it _or_ drop some other major piece of work because this task is huge, and very complicated.

All in all, I say redesign the entire UI of YaST control center in the installed system, reducing the need for icons for every single module.
Comment 3 Mindaugas Baranauskas 2015-08-21 13:00:47 UTC
No. As you see in https://software.opensuse.org/search?q=yast2-theme-openSUSE&baseproject=openSUSE%3A13.1 results, in openSUSE 13.1 and earler versions existed packages:
yast2-theme-openSUSE
yast2-theme-openSUSE-Oxygen
yast2-theme-openSUSE-Crystal

openSUSE 13.2 merged tree icon sets from mentioned packed into one package:
yast2-branding-openSUSE

As you see in https://build.opensuse.org/package/show?project=openSUSE%3AFactory&package=yast2-theme ,
these icons still coexist in such package, but it use symlink to switch between particular icon set. 
Though developers merged icon packages, they forgot to provide mechanism to change icon set, depending on desktop environment!

I changed just symlink, and all icons look as in openSUSE 13.1 with Oxygen theme.
Comment 4 Mindaugas Baranauskas 2015-08-21 13:13:27 UTC
Created attachment 644604 [details]
Current hicolor theme

Current hicolor theme
Comment 5 Mindaugas Baranauskas 2015-08-21 13:22:33 UTC
Created attachment 644606 [details]
Oxygen theme

I use mentioned trick to use Oxygen icons, and I never noticed any missing icons in this almost one-year usage of oxygen theme with openSUSE 13.2. Though I see, that some icons for patterns in Software Manager is not Oxygen-like, but they are still quite consistent look :)

I recommend as solution to 
1) add yast2-branding-openSUSE as requires in patterns-openSUSE-sw_management_kde package and 
2) to run post-installation script of patterns-openSUSE-sw_management_kde to change symlink of icons to oxygen.

Though, later, as openSUSE migrate to KDE Plasma 5, we could also add YaST Breeze theme.
Comment 6 Mindaugas Baranauskas 2015-08-21 13:24:49 UTC
Created attachment 644607 [details]
Crystal icon theme is only out-dated icon set, has missing icons, suggest to be removed
Comment 7 Josef Reidinger 2015-08-21 14:02:08 UTC
reason why crystal was removed in 13.2 was that there is not enough man-power to maintain such set of icons and also specific qss that fit such theme
Comment 8 Mindaugas Baranauskas 2015-08-21 14:04:44 UTC
Yes Crystal should be removed, but these icons is still present in yast2-branding-openSUSE.

But Oxygen icons are up-to-date in yast2-branding-openSUSE, but needs to be symlinked, if KDE is installed.
Comment 9 Mindaugas Baranauskas 2015-08-21 14:38:35 UTC
I created a submit request https://build.opensuse.org/request/show/325049 ,
so you can test yourself by installing RPM
Comment 11 Mindaugas Baranauskas 2015-08-21 14:50:18 UTC
Created attachment 644620 [details]
patterns-openSUSE-sw_management_kde-20150821-512.1.i586.rpm

I attach RPM here, as you may not access RPM via link above
Comment 12 Mindaugas Baranauskas 2015-08-21 14:51:02 UTC
Created attachment 644621 [details]
patterns-openSUSE-sw_management_kde-20150821-512.1.x86_64.rpm
Comment 13 Mindaugas Baranauskas 2015-08-21 18:21:42 UTC
Created attachment 644642 [details]
patterns-openSUSE-kde_yast-20150821-513.1.x86_64.rpm

patterns-openSUSE-kde_yast is more correct place for has pre- and post- scripts to switch icon theme to Oxygen, because this package already (and still!) requires yast2-theme-openSUSE-Oxygen (though this is provided by real yast2-branding-openSUSE package).
Comment 14 Mindaugas Baranauskas 2015-08-21 18:22:55 UTC
Created attachment 644644 [details]
patterns-openSUSE-kde_yast-20150821-513.1.i586.rpm

New submit request https://build.opensuse.org/request/show/325081
Comment 15 Kenneth Wimer 2015-08-21 22:19:32 UTC
Sorry, I should have noticed that this is an openSUSE bug :-( It seems that you have it figured out :-)

I'll take a closer look at this when I get back into the office on Monday but from the looks of it, and how you describe it, it seems like a no-brainer.

Thanks for the excellent work!
Comment 16 Mindaugas Baranauskas 2015-08-25 18:24:51 UTC
Submit request to patterns was not accepted, because patterns should not run scripts... Do you have ideas for another solution?
Comment 17 Mindaugas Baranauskas 2015-10-19 11:30:45 UTC
Bug still in Leap 42.1 RC1.

Provided simple solution, why not use?
Comment 18 Mindaugas Baranauskas 2015-12-02 11:21:43 UTC
Similar bug: https://bugzilla.suse.com/show_bug.cgi?id=955893
Comment 19 Mindaugas Baranauskas 2016-09-27 05:15:02 UTC
Bug actual in openSUSE Leap 42.2 beta2 also.
Comment 20 Mindaugas Baranauskas 2016-10-19 09:59:06 UTC
Bug still in openSUSE 42.2 RC1.

Maybe we can create empty package yyast2-branding-openSUSE-Oxygen, 
that has "requires: yast2-branding-openSUSE" just triggers at installing it:

cd /usr/share/YaST2/theme/current/
su -c "rm icons; ln -s '../../../icons/oxygen' icons"

and linking again to hicolor after uninstalling?
Comment 21 Ladislav Slezák 2017-02-06 08:58:51 UTC
(In reply to Mindaugas Baranauskas from comment #20)
> cd /usr/share/YaST2/theme/current/
> su -c "rm icons; ln -s '../../../icons/oxygen' icons"
> 
> and linking again to hicolor after uninstalling?

Tweaking the symlinks manually should be avoided, I think "update-alternatives" should be a better way...
Comment 22 Mindaugas Baranauskas 2017-04-05 10:47:00 UTC
Fixed in yast-theme 3.2.2 by creating yast2-branding-openSUSE-Oxygen empty package to trigger swich into Oxygen theme for YaST2 in openSUSE
Comment 23 Mindaugas Baranauskas 2017-04-05 10:55:58 UTC
yast2-branding-openSUSE-Oxygen allows to switch into Oxygen theme, but now this will not be used by default.
Comment 24 Mindaugas Baranauskas 2017-06-15 05:38:13 UTC
Seems fixed in 42.3 beta
Comment 25 Ludwig Nussel 2018-04-19 14:42:12 UTC
note we have to revert this for 15.0 as this symlink breaks migration to SLE (boo#1087224). We need a different solution.
Comment 26 Mindaugas Baranauskas 2018-04-19 14:52:38 UTC
"update-alternatives" will be better (as suggested in comment#21)?
Comment 27 Ludwig Nussel 2018-04-19 15:48:40 UTC
yes and no. It is the correct way for managing a symlink. however we cannot use a symlink at all in this case.